SDL_BlitSurfaceScaled(3)

NAME
SDL_BlitSurfaceScaled - Perform a scaled blit to a destination surface, which may be of a different format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_BlitSurfaceScaled(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, SDL_Rect *dstrect, SDL_ScaleMode scaleMode);

FUNCTION PARAMETERS

src the SDL_Surface
     structure to be copied from

srcrect
    the SDL_Rect
     structure representing the rectangle to be copied

dst the SDL_Surface
     structure that is the blit target

dstrect
    the SDL_Rect
     structure representing the target rectangle in the destination surface, filled with the actual rectangle used after clipping

scaleMode
    the SDL_ScaleMode
     to be used

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_BlitSurface(3)